# Uses of Class
javax.swing.tree.AbstractLayoutCache

Packages that use AbstractLayoutCache
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of AbstractLayoutCache in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as AbstractLayoutCache
Modifier and Type
Field
Description
`protected AbstractLayoutCache`
BasicTreeUI.`treeState`
Object responsible for handling sizing and expanded issues.
Methods in javax.swing.plaf.basic that return AbstractLayoutCache
Modifier and Type
Method
Description
`protected AbstractLayoutCache`
BasicTreeUI.`createLayoutCache()`
Creates the object responsible for managing what is expanded, as well as the size of nodes.

## Uses of AbstractLayoutCache in javax.swing.tree

Subclasses of AbstractLayoutCache in javax.swing.tree
Modifier and Type
Class
Description
`class`
`FixedHeightLayoutCache`
NOTE: This will become more open in a future release.
`class`
`VariableHeightLayoutCache`
NOTE: This will become more open in a future release.